void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");
	// RM -->
	int iNation;
	string sNation;
	// RM <--
	string stemp = ""; // KK

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	ref PChar;
	PChar = GetMainCharacter();

	// PG -->
	if(GetMusicScheme() == "PGMUS") { // KK
		iNation = sti(NPChar.nation);
		sNation = iNation;
		if(musicName != "music_govreward")
		{
// KK -->
			if (ENABLE_FLAGS == 0) {
				if(GetRMRelation(PChar,iNation) >= REL_AMNESTY) SetMusicNoPause("music_govfriend");
				else SetMusicNoPause("music_govenemy");
			} else {
				if(GetActualRMRelation(iNation) >= REL_AMNESTY) SetMusicNoPause("music_govfriend");
				else SetMusicNoPause("music_govenemy");
			}
// <-- KK
		}
	}
	// PG <--

	
	switch(Dialog.CurrentNode)
	{
		// -----------------------------------Диалог первый - первая встреча
		case "First time":
			Dialog.defAni = "Gov_dialog_1";
			Dialog.defCam = "1";
			Dialog.defSnd = "dialogs\0\017";
			Dialog.defLinkAni = "dialog_1";
			Dialog.defLinkCam = "1";
			Dialog.defLinkSnd = "dialogs\woman\024";
			Dialog.ani = "Gov_dialog_1";
			Dialog.cam = "1";
			Dialog.snd = "dialogs\0\009";

			dialog.text = DLG_TEXT[0] + GetMyAddressForm(NPChar, PChar, ADDR_CIVIL, false, false) + DLG_TEXT[1];
			Link.l1 = DLG_TEXT[2] + GetMyFullName(PChar) + DLG_TEXT[3] + pchar.ship.name + DLG_TEXT[4];
			Link.l1.go = "node_1";
			NextDiag.TempNode = "Second time";
		break;

		case "node_1":
			if (makeint(pchar.reputation) < 10)
			{
				Dialog.Text = DLG_TEXT[5] + GetMyFullName(NPChar) + DLG_TEXT[6];
				link.l1 = DLG_TEXT[7];
				link.l1.go = "second time";
			}
			else
			{
				Dialog.text = DLG_TEXT[8] + GetMyAddressForm(NPChar, PChar, ADDR_CIVIL, false, false) + DLG_TEXT[9];
				link.l1 = DLG_TEXT[10];
				link.l1.go = "second time";
			}
		break;

		case "Second time":
			dialog.text = DLG_TEXT[11] + GetMyAddressForm(NPChar, PChar, ADDR_CIVIL, false, false) + DLG_TEXT[12];
			link.l1 = DLG_TEXT[13];
			link.l1.go = "quest";
			if (npchar.quest.english_war_ship == "1")
			{
				link.l1 = DLG_TEXT[14];
				link.l1.go = "english_war_ship_5";
			}
			// RM -->
			iNation = sti(NPChar.nation);
// KK -->
			Preprocessor_Add("gov_nation", XI_ConvertString(GetNationDescByType(iNation)));
			Link.l3 = DLG_TEXT[132];
			Link.l3.go = "international relations";
			if (ENABLE_FLAGS == 0) {
				if(GetRMRelation(PChar, iNation) <= REL_WAR)
				{
					Link.l4 = DLG_TEXT[131];
					Link.l4.go = "amnesty";
				}
				else
				{
					if(GetRMRelation(PChar,iNation) < REL_NEUTRAL)
					{
						Link.l4 = DLG_TEXT[133];
						Link.l4.go = "LoM";
					}
					else
					{
						if(SetupMR(&PChar, &NPChar))
						{
							dialog.text = GenerateMR(PChar, NPChar);
						}
						if(PromoteCanBe(PChar, iNation) && GetRMRelation(PChar, iNation) > RequiredNextRank(PChar, iNation))
						{
							if(GetMusicScheme() == "PGMUS") SetMusicNoPause("music_govreward"); // PG // KK
							Link.l4 = DLG_TEXT[115];
							Link.l4.go = "promote";
						}
						Link.l6 = PCharRepPhrase(DLG_TEXT[137] + XI_ConvertString(GetNationNameByType(iNation)) + DLG_TEXT[138], DLG_TEXT[139] + XI_ConvertString(GetNationNameByType(iNation)) + DLG_TEXT[140]);
						Link.l6.go = "leave";
					}
				}
			} else {
				if(GetActualRMRelation(iNation) <= REL_WAR)
				{
					Link.l4 = DLG_TEXT[131];
					Link.l4.go = "amnesty";
				}
				else
				{
					if ((GetActualRMRelation(iNation) < REL_NEUTRAL) || (!HaveLetterOfMarque(iNation)))
					{
						Link.l4 = DLG_TEXT[133];
						Link.l4.go = "LoM";
					}
					else
					{
						if(SetupMR(&PChar, &NPChar))
						{
							dialog.text = GenerateMR(PChar, NPChar);
						}
						if(PromoteCanBe(PChar, iNation) && GetActualRMRelation(iNation) > RequiredNextRank(PChar, iNation))
						{
							if(GetMusicScheme() == "PGMUS") SetMusicNoPause("music_govreward"); // PG
							Link.l4 = DLG_TEXT[115];
							Link.l4.go = "promote";
						}
						Link.l6 = PCharRepPhrase(DLG_TEXT[137] + XI_ConvertString(GetNationNameByType(iNation)) + DLG_TEXT[138], DLG_TEXT[139] + XI_ConvertString(GetNationNameByType(iNation)) + DLG_TEXT[140]);
						Link.l6.go = "leave";
					}
				}
			}
// <-- KK
			NextDiag.TempNode = "Second time";
			Link.l2 = DLG_TEXT[15];
			Link.l2.go = "node_2";
		break;

		case "LoM":
			iNation = sti(NPChar.nation);
			dialog.text = DLG_TEXT[141] + XI_ConvertString(GetNationRoyalByType(iNation)) + DLG_TEXT[142] + makeint(PChar.rank)*LOM_COST + DLG_TEXT[143];
			Link.l1 = DLG_TEXT[144];
			Link.l1.go = "exit";
			if(GetCharacterMoney(PChar) > makeint(PChar.rank)*LOM_COST)
			{
				Link.l2 = DLG_TEXT[145];
				Link.l2.go = "LoMc";
			}
		break;

		case "LoMc":
// KK -->
			stemp = "";
			iNation = sti(NPChar.nation);
		    PlayStereoSound("INTERFACE\took_item.wav");
			stemp = GetHostileNations(iNation);
			Preprocessor_Add("gov_nation", XI_ConvertString(GetNationNameByType(iNation)));
			if (stemp != "")
				stemp = DLG_TEXT[85] + DLG_TEXT[86] + DLG_TEXT[88] + DLG_TEXT[89] + stemp + DLG_TEXT[91] + DLG_TEXT[93];
			else
				stemp = DLG_TEXT[85] + DLG_TEXT[86] + DLG_TEXT[87] + DLG_TEXT[88] + DLG_TEXT[90] + DLG_TEXT[92] + DLG_TEXT[93];
			AddMoneyToCharacter(&PChar, makeint(PChar.rank)*-LOM_COST);
			SetRMRelation(&PChar, iNation, REL_NEUTRAL);
			if (ENABLE_FLAGS == 1) {
				SetActualRMRelation(iNation, REL_NEUTRAL);
				ReceiveLetterOfMarque(iNation);
			}
			SetRank(PChar, iNation, GetOldRank(PChar, iNation));
			if(sti(PChar.reputation) >= REP_COMEBACKMIN && GetRank(PChar, iNation)) stemp += DLG_TEXT[145] + XI_ConvertString(GetNationRoyalByType(iNation)) + DLG_TEXT[146] + XI_ConvertString(GetRankName(PChar, iNation));
			dialog.Text = stemp;
			Link.l1 = DLG_TEXT[94];
			Link.l1.go = "exit";
// <-- KK
		break;

		case "amnesty":
			iNation = sti(NPChar.nation);
			sNation = iNation;
			dialog.text = DLG_TEXT[148] + XI_ConvertString(GetNationNameByType(iNation)) + ", " + GetMyAddressForm(NPChar, PChar, ADDR_TITLE, false, false) + DLG_TEXT[149] + XI_ConvertString(GetNationRoyalByType(iNation)) + DLG_TEXT[150];
			Link.l1 = DLG_TEXT[151];
			Link.l1.go = "exit";
			if(sti(pchar.reputation) >= 40)
			{
				pchar.nations.(sNation).Amnesty = RMAmnestyCost(PChar, iNation);
				dialog.text = DLG_TEXT[152] + XI_ConvertString(GetNationNameByType(iNation)) + DLG_TEXT[153] + XI_ConvertString(GetNationRoyalByType(iNation)) + DLG_TEXT[154] + ShowMoney(-sti(pchar.nations.(sNation).Amnesty)) + DLG_TEXT[155];
				if(makeint(pchar.money) >= 0-makeint(pchar.nations.(sNation).Amnesty))
				{
					Link.l2 = DLG_TEXT[156];
					Link.l2.go = "Amnestyc";
				}
			}
		break;

		case "Amnestyc":
			iNation = sti(NPChar.nation);
			sNation = iNation;
			dialog.text = DLG_TEXT[157] + GetMyFullName(PChar) + ".";
			PlayStereoSound("INTERFACE\took_item.wav");
			AddMoneyToCharacter(pchar, sti(pchar.nations.(sNation).Amnesty));
			DeleteAttribute(pchar,("nations."+sNation+".Amnesty"));
			RMAmnesty(&Pchar, iNation);
			Link.l1 = DLG_TEXT[158];
			Link.l1.go = "exit";
		break;

		case "promote":
			iNation = sti(NPChar.nation);
			NPChar.templand = GetCharacterLand(PChar);
			Promote(&PChar, &NPChar, iNation);
			dialog.text = DLG_TEXT[116] + XI_ConvertString(GetRankName(PChar, iNation)) + DLG_TEXT[159] + (GetCharacterLand(PChar) - sti(NPChar.templand)) + DLG_TEXT[160] + XI_ConvertString(GetNationRoyalByType(iNation)) + DLG_TEXT[161]; // PB: Might fix a dialog display error. Please check!
			DeleteAttribute(NPChar,"templand");
			Link.l1 = DLG_TEXT[117];
			Link.l1.go = "exit";
		break;

		case "leave":
			iNation = sti(NPChar.nation);
			dialog.text = DLG_TEXT[162] + PChar.name + "? " + XI_ConvertString(GetNationRoyalByType(iNation)) + DLG_TEXT[163];
			Link.l1 = DLG_TEXT[164];
			Link.l1.go = "leavec";
			if(sti(PChar.reputation) < REP_LEAVEMIN + 5)
			{
				dialog.text = XI_ConvertString(GetNationRoyalByType(iNation)) + DLG_TEXT[165] + PChar.name + ".");
				Link.l1 = DLG_TEXT[171];
			}
			Link.l2 = DLG_TEXT[166];
			Link.l2.go = "exit";
		break;

		case "leavec":
			ChangeCharacterReputation(&PChar, -5);
			iNation = sti(NPChar.nation);
			if (ENABLE_FLAGS == 1) LooseLetterOfMarque(iNation); // KK
			dialog.text = DLG_TEXT[167];
			Link.l1 = DLG_TEXT[168];
			Link.l1.go = "exit";
			if(LeaveService(&PChar, iNation, false))
			{
				dialog.text = DLG_TEXT[169] + XI_ConvertString(DEFAULT_TITLE) + " " + PChar.lastname + ".";
				Link.l1 = DLG_TEXT[170];
				Link.l1.go = "leavebad";
			}
		break;

		case "leavebad":
			iNation = sti(NPChar.nation);
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			ref sld;
			string loc;
			float dist;
			GetNearLocator( "goto", &dist, &loc, 0);
			sld = LAi_CreateFantomCharacter(false, 0, true, true, true, LAi_SoldierModel(iNation), "goto", loc);
			LAi_group_MoveCharacter(sld, GetSoldiersName(iNation)+"_SOLDIERS");

			sld = LAi_CreateFantomCharacter(false, 0, true, true, true, LAi_SoldierModel(iNation), "goto", loc);
			LAi_group_MoveCharacter(sld, GetSoldiersName(iNation)+"_SOLDIERS");

			LAi_group_SetRelation(GetSoldiersName(iNation)+"_SOLDIERS", LAI_GROUP_PLAYER, LAI_GROUP_ENEMY);
			LAi_group_FightGroups(GetSoldiersName(iNation)+"_SOLDIERS", LAI_GROUP_PLAYER, true);
		// RM <--
		break;

		case "node_2":
			dialog.text = DLG_TEXT[16] + GetMyAddressForm(NPChar, PChar, ADDR_CIVIL, false, false) + DLG_TEXT[17];
			link.l1 = DLG_TEXT[18];
			link.l1.go = "exit";
		break;

		case "quest":
			dialog.text = DLG_TEXT[19] + GetMyAddressForm(NPChar, PChar, ADDR_CIVIL, false, false) + DLG_TEXT[20];
			link.l1 = DLG_TEXT[21];
			link.l1.go = "exit";
			if (npchar.quest.english_war_ship == "0")
			{
				dialog.text = DLG_TEXT[22];
				link.l1 = DLG_TEXT[23];
				link.l1.go = "english_war_ship";
			}
			if (npchar.quest.english_war_ship == "2")
			{
				dialog.text = DLG_TEXT[24] + GetMyAddressForm(NPChar, PChar, ADDR_CIVIL, false, false) + DLG_TEXT[25];
				link.l1 = DLG_TEXT[26];
				link.l1.go = "english_war_ship_4";
				npchar.quest.english_war_ship = "done"
			}
			if (CheckQuestAttribute("gambling_with_girl", "gambled") || CheckQuestAttribute("gambling_with_girl", "prisoned") || CheckQuestAttribute("gambling_with_girl", "to_hovernor_2"))
			{
				if (CheckQuestAttribute("gambling_with_girl", "to_hovernor_2") && GetNationRelation2MainCharacter(FRANCE) == RELATION_ENEMY)
				{
					//прощают
					dialog.text = DLG_TEXT[27];
					link.l1 = DLG_TEXT[28];
					link.l1.go = "forgive";
					AddQuestRecord("gambled_girl", 13);
					CloseQuestHeader("gambled_girl");
				}
				else
				{
					if (GetNationRelation2MainCharacter(FRANCE) == RELATION_ENEMY)
					{
						//позволяют уйти
						dialog.text = DLG_TEXT[29];
						link.l1 = DLG_TEXT[30] + GetCharacterFullName(DLG_TEXT[31]) + DLG_TEXT[32];
						link.l1.go = "ransom";
						AddQuestRecord("gambled_girl", 15);
						CloseQuestHeader("gambled_girl");
					}
					else
					{
						//обычный разговор
						dialog.text = DLG_TEXT[33];
						link.l1 = DLG_TEXT[34] + GetCharacterFullName(DLG_TEXT[35]) + DLG_TEXT[36];
						link.l1.go = "virginie";
						AddQuestRecord("gambled_girl", 14);
						CloseQuestHeader("gambled_girl");
					}
				}
			}
// boal -->
			if (!CheckAttribute(pchar, "quest.generate_kill_quest") && GetNationRelation2MainCharacter(GetCurrentLocationNation()) != RELATION_ENEMY)
			{
				dialog.text = DLG_TEXT[119];
				link.l2 = DLG_TEXT[120];
				link.l2.go = "kill_pirate";
			}
			if (CheckQuestAttribute("generate_kill_quest", "completed") && pchar.quest.generate_kill_quest.town==GetCurrentTownID())
			{
				dialog.text = DLG_TEXT[121];
				link.l2 = DLG_TEXT[122];
				link.l2.go = "kill_pirate_completed";
			}
		break;

		case "kill_pirate":
			GeneratePirateQuest(NPChar); // KK
			int quest_pirate_idx = GetCharacterIndex("Quest pirate"); // KK
			iNation = sti(characters[quest_pirate_idx].nation); // KK
			dialog.text = DLG_TEXT[123] + XI_ConvertString("sw_" + GetNationDescByType(iNation)) + DLG_TEXT[124] + characters[quest_pirate_idx].ship.name + DLG_TEXT[126] + XI_ConvertString(pchar.quest.generate_kill_quest.destination) + DLG_TEXT[127] + pchar.quest.generate_kill_quest.money + DLG_TEXT[128]; // KK
			link.l1 = DLG_TEXT[129];
			link.l1.go = "kill_pirate_agree";
			link.l2 = DLG_TEXT[130];
			link.l2.go = "kill_pirate_refused";
		break;

		case "kill_pirate_agree":
			DialogExit();
			NextDiag.CurrentNode = NextDiag.TempNode;
			AddDialogExitQuest("kill_pirate_agree");
		break;

		case "kill_pirate_refused":
			DialogExit();
			NextDiag.CurrentNode = NextDiag.TempNode;
			AddDialogExitQuest("kill_pirate_refused");
		break;

		case "kill_pirate_completed":
			if(AUTO_SKILL_SYSTEM)
			{
				AddPartyExpChar(pchar, "Leadership", 1500);
				AddPartyExpChar(pchar, "Sneak", 15);
			}
			else { AddPartyExp(pchar, 1500); }
		    PlayStereoSound("INTERFACE\took_item.wav");
			AddMoneyToCharacter(pchar, makeint(pchar.quest.generate_kill_quest.money));
			AddDialogExitQuest("kill_pirate_refused_2");
			ChangeCharacterReputation(pchar, 1);
			DialogExit();
			NextDiag.CurrentNode = NextDiag.TempNode;
			pchar.quest.generate_kill_quest = "wait_timer";
		break;
// boal <--

		case "virginie":
			dialog.text = DLG_TEXT[37];
			link.l1 = DLG_TEXT[38];
			link.l1.go = "ransom_2";
			link.l2 = DLG_TEXT[39];
			link.l2.go = "virginie_2";
		break;

		case "virginie_2":
			dialog.text = DLG_TEXT[40];
			link.l1 = DLG_TEXT[41] + GetMyName(&Characters[GetCharacterIndex(DLG_TEXT[42])]) + DLG_TEXT[43];
			link.l1.go = "virginie_3";
		break;

		case "virginie_3":
			dialog.text = DLG_TEXT[44];
			link.l1 = DLG_TEXT[45];
			link.l1.go = "exit";
			pchar.quest.gambling_with_girl = "done";
			PlayStereoSound("INTERFACE\took_item.wav");
			AddMoneyToCharacter(pchar, 4000);
			if(GetRMRelation(PChar, FRANCE) < REL_NEUTRAL) SetRMRelation(PChar, FRANCE, REL_NEUTRAL); // RM - SetNationRelation2MainCharacter(FRANCE,RELATION_FRIEND);
// KK -->
			if (ENABLE_FLAGS == 1) {
				if(GetActualRMRelation(FRANCE) < REL_NEUTRAL) SetActualRMRelation(FRANCE, REL_NEUTRAL);
			}
// <-- KK
			if(AUTO_SKILL_SYSTEM)
			{
				AddPartyExpChar(pchar, "Leadership", 2800);
				AddPartyExpChar(pchar, "Sneak", 28);
			}
			else { AddPartyExp(pchar, 2800); }
			RemovePassenger(pchar, characterFromID("Virginie d'Espivant"));
		break;

		case "ransom":
			dialog.text = DLG_TEXT[46];
			link.l1 = DLG_TEXT[47];
			link.l1.go = "ransom_2";
		break;

		case "ransom_2":
			dialog.text = DLG_TEXT[48];
			link.l1 = DLG_TEXT[49];
			link.l1.go = "ransom_3";
		break;

		case "ransom_3":
			dialog.text = DLG_TEXT[50];
			link.l1 = DLG_TEXT[51];
			link.l1.go = "ransom_4";
		break;

		case "ransom_4":
			dialog.text = DLG_TEXT[52];
			link.l1 = DLG_TEXT[53];
			link.l1.go = "ransom_5";
		break;

		case "ransom_5":
			dialog.text = DLG_TEXT[54];
			link.l1 = DLG_TEXT[55];
			link.l1.go = "ransom_6";
		break;

		case "ransom_6":
			dialog.text = DLG_TEXT[56];
			link.l1 = DLG_TEXT[57];
			link.l1.go = "exit";
			pchar.quest.gambling_with_girl = "done";
			PlayStereoSound("INTERFACE\took_item.wav");
			AddMoneyToCharacter(pchar, 7000);
			if(AUTO_SKILL_SYSTEM)
			{
				AddPartyExpChar(pchar, "Leadership", 1600);
				AddPartyExpChar(pchar, "Sneak", 16);
			}
			else { AddPartyExp(pchar, 1600); }
			pchar.quest.remove_virginie.win_condition.l1 = "location";
			pchar.quest.remove_virginie.win_condition.l1.location = "FalaiseDeFleur";
			pchar.quest.remove_virginie.win_condition = "remove_virginie_complete";
			ChangeCharacterAddress(characterFromID("Virginie d'Espivant"), "Falaise_de_fleur_location_03", "locator9");
			LAi_SetCitizenType(characterFromID("Virginie d'Espivant"));
			SetRMRelation(&PChar, FRANCE, REL_WAR); // RM - SetNationRelation2MainCharacter(FRANCE,RELATION_ENEMY);
			if (ENABLE_FLAGS == 1) SetActualRMRelation(FRANCE, REL_WAR); // KK
			LeaveService(&PChar, FRANCE, true);
		break;

		case "forgive":
			dialog.text = DLG_TEXT[58];
			link.l1 = DLG_TEXT[59];
			link.l1.go = "forgive_2";
		break;

		case "forgive_2":
			dialog.text = DLG_TEXT[60];
			link.l1 = DLG_TEXT[61];
			link.l1.go = "forgive_3";
		break;

		case "forgive_3":
			dialog.text = DLG_TEXT[62];
			link.l1 = DLG_TEXT[63];
			link.l1.go = "exit";
			pchar.quest.gambling_with_girl = "done";
			PlayStereoSound("INTERFACE\took_item.wav");
			AddMoneyToCharacter(pchar, 4000);
			if(GetRMRelation(PChar, FRANCE) < REL_AMNESTY) SetRMRelation(PChar, FRANCE, REL_AMNESTY); // RM - SetNationRelation2MainCharacter(FRANCE,RELATION_NEUTRAL);
			if (ENABLE_FLAGS == 1) if(GetActualRMRelation(FRANCE) < REL_AMNESTY) SetActualRMRelation(FRANCE, REL_AMNESTY); // KK
			if(AUTO_SKILL_SYSTEM)
			{
				AddPartyExpChar(pchar, "Leadership", 2500);
				AddPartyExpChar(pchar, "Sneak", 25);
			}
			else { AddPartyExp(pchar, 2500); }
			RemovePassenger(pchar, characterFromID("Virginie d'Espivant"));
		break;

		case "english_war_ship":
			dialog.text = DLG_TEXT[64];
			link.l1 = DLG_TEXT[65];
			link.l1.go = "english_war_ship_1";
			link.l2 = DLG_TEXT[66];
			link.l2.go = "exit";
		break;

		case "english_war_ship_1":
			dialog.text = DLG_TEXT[67] + GetMyAddressForm(NPChar, PChar, ADDR_CIVIL, false, false) + DLG_TEXT[68];
			link.l1 = DLG_TEXT[69];
			link.l1.go = "english_war_ship_2";
			link.l2 = DLG_TEXT[70];
			link.l2.go = "english_war_ship_3";
		break;

		case "english_war_ship_2":
			dialog.text = DLG_TEXT[71] + GetMyAddressForm(NPChar, PChar, ADDR_CIVIL, false, false) + DLG_TEXT[72];
			link.l1 = DLG_TEXT[73];
			link.l1.go = "exit";
			SetRumourState("Ship_off_FDF", false); // NK
			AddDialogExitQuest("joseph_claude_le_mougne_english_war_ship");
		break;

		case "english_war_ship_3":
			dialog.text = DLG_TEXT[74];
			link.l1 = DLG_TEXT[75];
			link.l1.go = "english_war_ship_2";
			link.l2 = DLG_TEXT[76];
			link.l2.go = "exit";
			npchar.quest.english_war_ship = "done";
		break;

		case "english_war_ship_4":
			dialog.text = DLG_TEXT[77];
			link.l1 = DLG_TEXT[78];
			link.l1.go = "exit";
			PlayStereoSound("INTERFACE\took_item.wav");
			AddMoneyToCharacter(pchar, 5000);
			if(AUTO_SKILL_SYSTEM)
			{
				AddPartyExpChar(pchar, "Leadership", 1500);
				AddPartyExpChar(pchar, "Sneak", 15);
			}
			else { AddPartyExp(pchar, 1500); }
			npchar.quest.english_war_ship = "done";
			AddQuestRecord("Hire_by_france_for_defeat_england_corvette", 3);
			CloseQuestHeader("Hire_by_france_for_defeat_england_corvette");
		break;

		case "english_war_ship_5":
			dialog.text = DLG_TEXT[79];
			link.l1 = DLG_TEXT[80];
			link.l1.go = "english_war_ship_6";
			link.l2 = DLG_TEXT[81];
			link.l2.go = "exit";
		break;

		case "english_war_ship_6":
			dialog.text = DLG_TEXT[82];
			link.l1 = DLG_TEXT[83];
			link.l1.go = "exit";
			npchar.quest.english_war_ship = "done_1";
			ChangeCharacterReputation(pchar, -1);
			AddQuestRecord("Hire_by_france_for_defeat_england_corvette", 2);
			CloseQuestHeader("Hire_by_france_for_defeat_england_corvette");
		break;

		case "Exit":
			DialogExit();
			NextDiag.CurrentNode = NextDiag.TempNode;
		break;

// KK -->
		case "international relations":
			stemp = "";
			iNation = sti(NPChar.nation);
			stemp = GetHostileNations(iNation);
			if (stemp != "")
				stemp = DLG_TEXT[86] + DLG_TEXT[88] + DLG_TEXT[89] + stemp + DLG_TEXT[91] + DLG_TEXT[93];
			else
				stemp = DLG_TEXT[86] + DLG_TEXT[87] + DLG_TEXT[88] + DLG_TEXT[90] + DLG_TEXT[92] + DLG_TEXT[93];
			dialog.Text = stemp;
			Link.l1 = DLG_TEXT[28];
			Link.l1.go = "exit";
		break;
// <-- KK
	}
}
